using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class GetPrice : MonoBehaviour
{
    public TMP_Text mytext;
    public TMP_Text gemsText;
    private float gemsAmount;
    private float updatedPrice = 0f;
    private float price = 0f;

    // Start is called before the first frame update
    void Start()
    {
        updatedPrice = gemsAmount - price;
    }

    // Update is called once per frame
    void Update()
    {
        
    }
    
    public void getPrice()
    {
        if(updatedPrice >= price){
        price = float.Parse(mytext.text);
        gemsAmount = float.Parse(gemsText.text);
    
        updatedPrice = gemsAmount - price;
        gemsText.text = updatedPrice.ToString();
        }
        else Debug.Log("Not enough gems");

    }
}
